# advert.cpp File Reference

`#include <saga/saga/task.hpp>`
`#include <saga/saga/advert.hpp>`
`#include <saga/impl/advert.hpp>`
`#include <saga/impl/engine/metric.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`
`#include <saga/saga/detail/monitorable_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::advert
namespace | saga::advert::metrics
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SAGA_EXPORT_ATTRIBUTE SAGA_ADVERT_PACKAGE_EXPORT
#define | SAGA_NO_IMPORT_MONITORABLE

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SAGA_EXPORT_ATTRIBUTE SAGA_ADVERT_PACKAGE_EXPORT

#define SAGA_NO_IMPORT_MONITORABLE